Summary:	lbxproxy application - Low Bandwidth X proxy
Summary(pl.UTF-8):	Aplikacja lbxproxy - proxy X dla sieci o niskiej przepustowości
Name:		xorg-app-lbxproxy
Version:	1.0.3
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/app/lbxproxy-%{version}.tar.bz2
# Source0-md5:	0bd565b5464f38f606dae15459ff4b09
Source1:	lbxproxy.1x.pl
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libICE-devel
BuildRequires:	xorg-lib-libXext-devel >= 1.1.1-3
BuildRequires:	xorg-lib-liblbxutil-devel >= 1.1.0
BuildRequires:	xorg-lib-xtrans-devel
BuildRequires:	xorg-proto-bigreqsproto-devel
BuildRequires:	xorg-proto-xextproto-devel
BuildRequires:	xorg-proto-xproxymanagementprotocol-devel
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Applications that would like to take advantage of the Low Bandwidth
extension to X (LBX) must make their connections to an lbxproxy. These
applications need to know nothing about LBX, they simply connect to
the lbxproxy as if were a regular server. The lbxproxy accepts client
connections, multiplexes them over a single connection to the X
server, and performs various optimizations on the X protocol to make
it faster over low bandwidth and/or high latency connections.

%description -l pl.UTF-8
Aplikacje chcące wykorzystać rozszerzenie LBX (Low Bandwidth X - X dla
sieci o małej przepustowości) muszą wykonywać połączenia do lbxproxy.
Aplikacje te nie muszą wiedzieć niczego o LBX, po prostu łączą się z
lbxproxy tak, jak ze zwykłym serwerem. lbxproxy przyjmuje połączenia
klienckie, przekazuje je naprzemiennie po pojedynczym połączeniu do
serwera X i wykonuje różne optymalizacje na protokole X w celu
uczynienia go szybszym po połączeniu o niskiej przepustowości i/lub
dużym opóźnieniu.

%prep
%setup -q -n lbxproxy-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -D %{SOURCE1} $RPM_BUILD_ROOT%{_mandir}/pl/man1/lbxproxy.1x

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_bindir}/lbxproxy
%dir /etc/X11/lbxproxy
%config(noreplace) %verify(not md5 mtime size) /etc/X11/lbxproxy/AtomControl
%{_mandir}/man1/lbxproxy.1x*
%lang(pl) %{_mandir}/pl/man1/lbxproxy.1x*
%changelog
* Tue Feb 12 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-app-lbxproxy.git;a=log;h=master

* Tue Feb 12 2013 Jakub Bogusz <qboosh@pld-linux.org> 6b61e69
- updated BRs

* Tue Feb 12 2013 Jakub Bogusz <qboosh@pld-linux.org> e3642cf
- updated to 1.0.3
- removed obsolete configdir,freebsd patches

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> 42a679f
- dropped pre-cvs changelog

* Wed Dec 16 2009 Jakub Bogusz <qboosh@pld-linux.org> 44efc6c
- builds with liblbxutil 1.1.0
- release 1

* Wed Nov 11 2009 Jakub Bogusz <qboosh@pld-linux.org> 4acde4e
- updated to 1.0.2
- dropped outdated freebsd patch
- doesn't build currently (libs need update for current xextproto)

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 07d25db
- release 2

* Mon Apr 30 2007 Jakub Bogusz <qboosh@pld-linux.org> 301287d
- informative descs from man

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 5015dfa
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> ac9cb7c
- converted to UTF-8

* Sun Oct 15 2006 Jakub Bogusz <qboosh@pld-linux.org> 24118c8
- added pl lbxproxy(1x) manual from old XFree86/X11 packages
- added configdir patch, pass /etc/X11/lbxproxy as config dir (following X11-PLD.patch)
- release 1

* Sun Oct 15 2006 Jakub Bogusz <qboosh@pld-linux.org> d20c039
- allow to override configdir

* Sun Oct 15 2006 Jakub Bogusz <qboosh@pld-linux.org> 38b052d
- from XFree86-non-enlighs-Xman-pages

* Tue Jan 10 2006 Jakub Bogusz <qboosh@pld-linux.org> 99abc48
- 1.0.1 (X11R7.0 release)

* Fri Dec 09 2005 Jakub Bogusz <qboosh@pld-linux.org> 81a0f55
- 0.99.3 (X11R7.0-RC3)

* Sat Nov 19 2005 Jakub Bogusz <qboosh@pld-linux.org> 4cc0c38
- 0.99.2 (X11R7.0-RC2)

* Sat Oct 22 2005 Jakub Bogusz <qboosh@pld-linux.org> c578c9e
- pkgconfig epoch

* Fri Oct 21 2005 Jakub Bogusz <qboosh@pld-linux.org> 75c0bcc
- 0.99.1 (X11R7.0-RC1)
- removed outdated man patch

* Sat Aug 27 2005 Jakub Bogusz <qboosh@pld-linux.org> 29cebf2
- sorted BRs

* Sat Aug 27 2005 Artur Frysiak <artur@frysiak.net> aabab84
- standard permisions to binaries

* Sat Aug 27 2005 Artur Frysiak <artur@frysiak.net> 38c2ebf
- cleanups, kill /usr/X11R6

